@echo off
if exist cfg\ssriders.cfg move cfg\ssriders.cfg cfg\ssriders.bak
if exist hi\ssriders.hi move hi\ssriders.hi hi\ssriders.bak
if exist nvram\ssriders.nv move nvram\ssriders.nv nvram\ssriders.bak
if exist diff\ssriders.dif move diff\ssriders.dif diff\ssriders.bak

mame ssriders -record ssriders.inp %3 %4 %5 %6 %7 %8 %9 -nvram_directory NUL

if exist cfg\ssriders.bak move cfg\ssriders.bak cfg\ssriders.cfg
if exist hi\ssriders.bak move hi\ssriders.bak hi\ssriders.hi
if exist nvram\ssriders.bak move nvram\ssriders.bak nvram\ssriders.nv
if exist diff\ssriders.bak move diff\ssriders.bak diff\ssriders.dif
